Android-studio L'annuaire sélectionné n'est pas valide pour Android SDK

J'ai installé un studio Android, mais en sélectionnant Android sdk, j'ai l'erreur suivante … essayé la solution qui est sur cette publication, mais pas de chance … Comment résoudre ce problème …

Entrez la description de l'image ici

  • Comment animer des images .gif dans un android?
  • Le menu Radial android avec un clic de bouton?
  • Détecter l'adresse IP wifi sur Android?
  • Bouton d'alignement droit en ligne horizontale LinearLayout
  • Android et Injection de dépendance
  • AppCompatActivity.onCreate ne peut être appelé que dans le même groupe de bibliothèques
  • Entrez la description de l'image ici

  • Accélérateur d'émulateur Intel X86 (installateur HAXM) VT / NX non activé
  • Intercepter le bouton de retour
  • Comment éviter TagManager "IllegalStateException: les résultats ont déjà été définis"
  • Quelle est la différence entre "nouveau A ()" et "A.newInstance ()"?
  • Détection de la position du pouce dans SeekBar avant l'API version 16
  • Android Espresso - Comment vérifier l'indication EditText?
  • 7 Solutions collect form web for “Android-studio L'annuaire sélectionné n'est pas valide pour Android SDK”

    J'ai eu ce problème, sélectionnez le dossier SDK (PAS SDK-> sources ou les plates-formes SDK)

    Essayez de redémarrer l'application. Fermez tous les processus de studio connexes, puis cliquez avec le bouton droit de la souris sur "exécuter en tant qu'administrateur".

    Vous devriez être bien après cela.

    J'ai le même problème. Vous devez activer la configuration du plugin de support Android > Plugin> Plugin de support Android. Vérifie ça.

    C'est ainsi que j'ai résolu le mien!

    J'essayais de choisir

    C:\Program Files (x86)\Android\android-sdk\platforms\android-XX 

    Mais ce que je devais faire en fait, c'était de sélectionner android-sdk dossier android-sdk .

     C:\Program Files (x86)\Android\android-sdk 

    Ensuite, j'ai pu choisir l'API que je voulais d'une liste d'API qui apparaîtrait.

    Téléchargez le SDK à partir de http://developer.android.com/sdk/index.html

    Démarrez le gestionnaire de SDK et mettez tout à jour

    De plus, assurez-vous d'avoir défini le niveau de langue à

    • 7.0 Diamants, ARM, multi-prises, etc.

    J'ai eu ce problème sur Linux. Apparemment, vous avez besoin d'un accès en écriture à un endroit dans ce répertoire, alors j'ai simplement pris possession de tout:

     sudo chown -R thomas:thomas /opt/android-sdk 

    Peut-être que quelque chose de semblable se passe sur Windows aussi.

    J'ai eu le même problème, mais ce que j'ai trouvé, c'est qu'il requiert le dossier parent des choses suivantes, le gestionnaire AVD, le gestionnaire SDK, les outils, les outils de plate-forme, les outils de construction, etc. Donc, ce dont vous avez besoin, c'est de trouver le répertoire parent de ces choses , Que vous pourriez trouver avec un nom tel que android-sdk ou android-sdk-windows (dans le cas où vous utilisez le système d'exploitation Windows). Assurez-vous que les contenus mentionnés ci-dessus sont dans ce dossier et sélectionnez-le. J'espère que vous trouverez cela utile .

    coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.